---
title: '`glab mr approve`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Approve merge requests.

## Synopsis

Defaults to the currently checked-out branch.

```plaintext
glab mr approve [<id | branch>] [flags]
```

## Examples

```console
glab mr approve 235
glab mr approve 123 345
glab mr approve branch-1
glab mr approve branch-2 branch-3

# Finds open merge request from current branch and approves it
glab mr approve
```

## Options

```plaintext
  -s, --sha string   SHA, which must match the SHA of the HEAD commit of the merge request.
```

## Options inherited from parent commands

```plaintext
  -h, --help          Show help for this command.
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```
